﻿@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.Tb_CourseHist>
@using SSCMvc.Models

@*<table>

        <tr>
            <td>

                <h5>List Of Course History

                </h5>
            </td>

        </tr>

    </table>*@

<table class="table" width="600px">
    <tr>
        <th>
            Course Name
        </th>
        <th>
            Current Course
        </th>
        <th>
            Package
        </th>
        <th>
            Time
        </th>
        <th>
            From Date
        </th>
        @*<th>To Date
            </th>*@
        <th>
            Amount
        </th>
        <th>Course Completion Date</th>
        <th>
            IsActive
        </th>
    </tr>
    @{int i = 0;
    string bgcolor = "oddrow";
    }
    @foreach (var item in Model)
    {
        if (i % 2 == 0)
        {
            bgcolor = "evenrow";
        }
        else
        {
            bgcolor = "oddrow";
        }
        i++;
        <tr class="@bgcolor">
            <td>
                @Html.DisplayFor(modelItem => item.MaCourse.CourseName)
            </td>


            <td>
                @Html.DisplayFor(modelItem => item.currentcourselevel)

            </td>

            <td>
                @Html.DisplayFor(modelItem => item.MaPackage.PackageName)
            </td>

            <td>
                @{

        SSCWebDBEntities1 db = new SSCWebDBEntities1();

        //if (db.MaGroupTime_View.Where(z => z.Id == item.TimeId).Select(z => z.BatchTime).Count() > 0)
        //{
            // var batchtime = db.MaGroupTime_View.Where(z => z.Id == item.TimeId).Select(z => z.BatchTime).First();
            var batchtime = db.MaGroupTime_View.Where(z => z.Timeid == item.TimeId).Select(z => z.BatchTime).FirstOrDefault();

            @batchtime
        //}
                }
            </td>
            <td>
                @{string fdate = string.Format("{0:dd MMM,yyyy}", item.FromDate);}
                @fdate
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.Todate)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.MaPackage.Amount)
            </td>
            <td>
                @{string nxtdate = string.Format("{0:dd MMM,yyyy}", item.DueDate);}
                @nxtdate
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IsActive)
            </td>
            @{
                SSCWebDBEntities1 db1 = new SSCWebDBEntities1();
                object admissid = db1.Tb_CourseHist.Where(z => z.Id == item.Id).Select(z => z.AdmissionId).First();

            }

        </tr>

    }


</table>

@*<table style="width: 500px" class="table_style">

        <tr>
            <td style="width: 180px">@Html.DisplayNameFor(model => model.MaCourse.CourseName)</td>
            <td>@Html.DisplayFor(model => model.MaCourse.CourseName)</td>
        </tr>
        <tr>
            <td style="width: 180px">@Html.DisplayNameFor(model => model.MaPackage.PackageName)</td>
            <td>@Html.DisplayFor(model => model.MaPackage.PackageName)</td>
        </tr>
        <tr>
           @{
                SSCWebDBEntities1 db = new SSCWebDBEntities1();
                var batchtime = db.Tb_CourseHist.Where(z => z. == Model.Id).Select(z => z.BatchTime).First();
            }
            <td style="width: 180px">Time</td>
            <td>@batchtime</td>
        </tr>

        <tr>
            <td style="width: 180px">@Html.DisplayNameFor(model => model.FromDate)</td>
            <td>@Html.DisplayFor(model => model.FromDate)</td>
        </tr>
        <tr>
            <td style="width: 180px">@Html.DisplayNameFor(model => model.Todate)</td>
            <td>@Html.DisplayFor(model => model.Todate)</td>
        </tr>
        <tr>
            <td style="width: 180px">@Html.DisplayNameFor(model => model.IsActive)</td>
            <td>@Html.DisplayFor(model => model.IsActive)</td>
        </tr>

    </table>
    <p>
        @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
        @Html.ActionLink("Back to List", "Index")
    </p>*@
